Package org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl

## Class ByResourceGroupProvider.ResourceGroup

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterImpl
  - - org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl.BasicDifferenceGroupImpl
    - - org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl.ByResourceGroupProvider.ResourceGroup

All Implemented Interfaces:
  `Adapter`, `Adapter.Internal`, `IDifferenceGroup`

Enclosing class:
  ByResourceGroupProvider

    public static class ByResourceGroupProvider.ResourceGroup
    extends BasicDifferenceGroupImpl

Specialized `BasicDifferenceGroupImpl` for Resources.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

`Adapter.Internal`

### Field Summary

### Fields inherited from class org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl.BasicDifferenceGroupImpl

`children, E_ALL_CONTENTS, filter, image, name`

### Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`target`

### Fields inherited from interface org.eclipse.emf.compare.rcp.ui.structuremergeviewer.groups.IDifferenceGroup

`TREE_NODE_DATA`

### Constructor Summary

Constructors
`ResourceGroup​(Comparison comparison, ECrossReferenceAdapter crossReferenceAdapter)` .

### Method Summary

All Methods Instance Methods Concrete Methods
`protected List<TreeNode>` `buildMatchTrees()` Compute a subTree for each root match of the comparison.
`void` `buildSubTree()` Builds the sub tree for this group.
`protected MatchResourceNode` `buildSubTree​(MatchResource matchResource, Set<ResourceAttachmentChange> attachmentChanges)` Build the sub tree of the given `MatchResource`.

### Methods inherited from class org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl.BasicDifferenceGroupImpl

`addDiffNode, buildMatchResourceTrees, buildTree, createChildren, createConflictNode, createDiffNode, createMatchNode, createMatchResourceNode, customize, customize, dispose, doBuildSubTrees, getChildren, getComparison, getImage, getName, getStyledName, getTargetMatch, handleRefiningDiffs, isAdapterForType, isContainmentRefChange, mustDisplayAsDirectChildOfMatch, populateMatchNode, registerCrossReferenceAdapter, unregisterCrossReferenceAdapter`

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`getTarget, notifyChanged, setTarget, unsetTarget`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.common.notify.Adapter

`getTarget, notifyChanged, setTarget`

### Constructor Detail

#### ResourceGroup

    public ResourceGroup​(Comparison comparison,
                         ECrossReferenceAdapter crossReferenceAdapter)

.

See Also:
  `org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.groups.impl.BasicDifferenceGroupImpl#BasicDifferenceGroupImpl(org.eclipse.emf.compare.Comparison)`

### Method Detail

#### buildSubTree

    public void buildSubTree()

Description copied from class: `BasicDifferenceGroupImpl`
Builds the sub tree for this group.

Overrides:
  `buildSubTree` in class `BasicDifferenceGroupImpl`

#### buildMatchTrees

    protected List<TreeNode> buildMatchTrees()

Compute a subTree for each root match of the comparison.

Overrides:
  `buildMatchTrees` in class `BasicDifferenceGroupImpl`
Returns:
  the list of matchSubTrees

#### buildSubTree

    protected MatchResourceNode buildSubTree​(MatchResource matchResource,
                                             Set<ResourceAttachmentChange> attachmentChanges)

Build the sub tree of the given `MatchResource`.

Overrides:
  `buildSubTree` in class `BasicDifferenceGroupImpl`
Parameters:
  `matchResource` - the given MatchResource.
Returns:
  the sub tree of the given MatchResource.
See Also:
  `BasicDifferenceGroupImpl.buildSubTree(MatchResource, Set)`